const cid = "@molesys.org/engine/Mole;1";
obj = Components.classes[cid].createInstance();
obj = obj.QueryInterface(Components.interfaces.IMole);
print(obj.hello("jean"));
print(obj.connect("ERIKOO", "192.168.0.1", 47));
print(obj.joinChannel("California"))
print(obj.joinChannel("klklklkl"))

var count = {};
var strings = obj.listChannels(count);
print (strings);
